
<!DOCTYPE html>

<html class="no-js" lang="en">
<head>
<meta charset="utf-8"/>
<meta content="width=device-width,initial-scale=1" name="viewport"/>
<link href="../assets/images/favicon.png" rel="icon"/>
<meta content="mkdocs-1.2.3, mkdocs-material-7.3.6" name="generator"/>
<title>Outils et librairies externes - SecuWallet</title>
<link href="../assets/stylesheets/main.a57b2b03.min.css" rel="stylesheet"/>
<link href="../assets/stylesheets/palette.3f5d1f46.min.css" rel="stylesheet"/>
<meta content="#ab47bd" name="theme-color"/>
<link crossorigin="" href="https://fonts.gstatic.com" rel="preconnect"/>
<link href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700%7CRoboto+Mono&amp;display=fallback" rel="stylesheet"/>
<style>:root{--md-text-font-family:"Roboto";--md-code-font-family:"Roboto Mono"}</style>
<link href="https://unpkg.com/mermaid@8.5.1/dist/mermaid.css" rel="stylesheet"/>
<link href="../extra.css" rel="stylesheet"/>
</head>
<body data-md-color-accent="" data-md-color-primary="purple" data-md-color-scheme="slate" dir="ltr">
<script>function __prefix(e){return new URL("..",location).pathname+"."+e}function __get(e,t=localStorage){return JSON.parse(t.getItem(__prefix(e)))}</script>
<input autocomplete="off" class="md-toggle" data-md-toggle="drawer" id="__drawer" type="checkbox"/>
<input autocomplete="off" class="md-toggle" data-md-toggle="search" id="__search" type="checkbox"/>
<label class="md-overlay" for="__drawer"></label>
<div data-md-component="skip">
<a class="md-skip" href="#outils-et-librairies-externes">
          Skip to content
        </a>
</div>
<div data-md-component="announce">
</div>
<header class="md-header" data-md-component="header">
<nav aria-label="Header" class="md-header__inner md-grid">
<a aria-label="SecuWallet" class="md-header__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
<label class="md-header__button md-icon" for="__drawer">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2z"></path></svg>
</label>
<div class="md-header__title" data-md-component="header-title">
<div class="md-header__ellipsis">
<div class="md-header__topic">
<span class="md-ellipsis">
            SecuWallet
          </span>
</div>
<div class="md-header__topic" data-md-component="header-topic">
<span class="md-ellipsis">
            
              Outils et librairies externes
            
          </span>
</div>
</div>
</div>
<label class="md-header__button md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
</label>
<div class="md-search" data-md-component="search" role="dialog">
<label class="md-search__overlay" for="__search"></label>
<div class="md-search__inner" role="search">
<form class="md-search__form" name="search">
<input aria-label="Search" autocapitalize="off" autocomplete="off" autocorrect="off" class="md-search__input" data-md-component="search-query" name="query" placeholder="Search" required="" spellcheck="false" type="text"/>
<label class="md-search__icon md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</label>
<nav aria-label="Search" class="md-search__options">
<button aria-label="Clear" class="md-search__icon md-icon" tabindex="-1" type="reset">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z"></path></svg>
</button>
</nav>
</form>
<div class="md-search__output">
<div class="md-search__scrollwrap" data-md-scrollfix="">
<div class="md-search-result" data-md-component="search-result">
<div class="md-search-result__meta">
            Initializing search
          </div>
<ol class="md-search-result__list"></ol>
</div>
</div>
</div>
</div>
</div>
</nav>
</header>
<div class="md-container" data-md-component="container">
<main class="md-main" data-md-component="main">
<div class="md-main__inner md-grid">
<div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation">
<div class="md-sidebar__scrollwrap">
<div class="md-sidebar__inner">
<nav aria-label="Navigation" class="md-nav md-nav--primary" data-md-level="0">
<label class="md-nav__title" for="__drawer">
<a aria-label="SecuWallet" class="md-nav__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
    SecuWallet
  </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../0_Poster/">
        Poster
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../1_Resume/">
        Introduction
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../2_CahierDesCharges/">
        Cahier des charges
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../3_planning/">
        Planning
      </a>
</li>
<li class="md-nav__item md-nav__item--active md-nav__item--nested">
<input checked="" class="md-nav__toggle md-toggle" data-md-toggle="__nav_5" id="__nav_5" type="checkbox"/>
<label class="md-nav__link" for="__nav_5">
          Documentation technique
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Documentation technique" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_5">
<span class="md-nav__icon md-icon"></span>
          Documentation technique
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../4_analyseExistant/">
        Analyse de L'existant
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../5_userStories/">
        User Stories
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../6_interface/">
        Interfaces
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../7_Architecture/">
        Architecture
      </a>
</li>
<li class="md-nav__item md-nav__item--active">
<input class="md-nav__toggle md-toggle" data-md-toggle="toc" id="__toc" type="checkbox"/>
<label class="md-nav__link md-nav__link--active" for="__toc">
          Outils et librairies externes
          <span class="md-nav__icon md-icon"></span>
</label>
<a class="md-nav__link md-nav__link--active" href="./">
        Outils et librairies externes
      </a>
<nav aria-label="Table of contents" class="md-nav md-nav--secondary">
<label class="md-nav__title" for="__toc">
<span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
<ul class="md-nav__list" data-md-component="toc" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="#raspberry">
    Raspberry
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#apache2-https">
    Apache2 (HTTPS)
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#mariadb">
    MariaDB
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#hardhat">
    Hardhat
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#samba">
    Samba
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#vnc">
    VNC
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#wsl-2">
    WSL 2
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#gitlab">
    GitLab
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#visual-studio-2022">
    Visual Studio 2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#visual-studio-code">
    Visual Studio Code
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#mysql-workbench-80">
    MySQL Workbench 8.0
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#wireshark">
    Wireshark
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#markdown">
    Markdown
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#nethereum">
    Nethereum
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#metroset_ui">
    MetroSet_UI
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#dochnegoogle-authenticator">
    dochne/google-authenticator
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#emarrefjwt">
    emarref/jwt
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#api-cryptocompare">
    Api CryptoCompare
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../9_installationEnvironnement/">
        Installation de l'environnement
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../10_EncryptionBdd/">
        Encryption de base de données
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../docClasse/">
        Description Classes
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../Tests/">
        Tests
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../conclusion/">
        Conclusion
      </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item md-nav__item--nested">
<input class="md-nav__toggle md-toggle" data-md-toggle="__nav_6" id="__nav_6" type="checkbox"/>
<label class="md-nav__link" for="__nav_6">
          Annexes
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Annexes" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_6">
<span class="md-nav__icon md-icon"></span>
          Annexes
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../JournalDeBord/">
        Journal de bord
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../tableDesIllustrations/">
        Table des illustrations
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../planningAnnexe/">
        Planning
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../codeSource/">
        Code source
      </a>
</li>
</ul>
</nav>
</li>
</ul>
</nav>
</div>
</div>
</div>
<div class="md-sidebar md-sidebar--secondary" data-md-component="sidebar" data-md-type="toc">
<div class="md-sidebar__scrollwrap">
<div class="md-sidebar__inner">
<nav aria-label="Table of contents" class="md-nav md-nav--secondary">
<label class="md-nav__title" for="__toc">
<span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
<ul class="md-nav__list" data-md-component="toc" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="#raspberry">
    Raspberry
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#apache2-https">
    Apache2 (HTTPS)
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#mariadb">
    MariaDB
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#hardhat">
    Hardhat
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#samba">
    Samba
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#vnc">
    VNC
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#wsl-2">
    WSL 2
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#gitlab">
    GitLab
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#visual-studio-2022">
    Visual Studio 2022
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#visual-studio-code">
    Visual Studio Code
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#mysql-workbench-80">
    MySQL Workbench 8.0
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#wireshark">
    Wireshark
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#markdown">
    Markdown
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#nethereum">
    Nethereum
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#metroset_ui">
    MetroSet_UI
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#dochnegoogle-authenticator">
    dochne/google-authenticator
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#emarrefjwt">
    emarref/jwt
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#api-cryptocompare">
    Api CryptoCompare
  </a>
</li>
</ul>
</nav>
</div>
</div>
</div>
<div class="md-content" data-md-component="content">
<article class="md-content__inner md-typeset">
<h1 id="outils-et-librairies-externes">Outils et librairies externes</h1>
<h2 id="raspberry">Raspberry</h2>
<p>Afin d'avoir une machine permettant d'accueillir les différents serveurs, le choix le plus évident était un Raspberry que ce soit pour une question de coût, mais également la facilité d'installation sur un système Linux.</p>
<figure id="fig67" style="width: 10%">
<img alt="Logo Raspberry" src=".././img/logoRaspberry.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 67]:</span><b>Logo Raspberry</b> </figcaption>
</figure>
<p>Voici les différents serveurs que contiendra le Raspberry :</p>
<figure id="fig68" style="width: 50%">
<img alt="Contenu du Raspberry" src=".././img/ContenuRaspberyy.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 68]:</span><b>Contenu du Raspberry</b> </figcaption>
</figure>
<h2 id="apache2-https">Apache2 (HTTPS)</h2>
<p>Afin d’avoir une sécurité maximum, je vais utiliser un serveur Apache2 pour authentifier les utilisateurs. Ainsi, il aura un accès à la base de données en local avec un utilisateur possédant les droits minimums possibles.</p>
<p>Pour sécuriser la communication entre le client et le serveur, il est nécessaire de forcer la connexion en HTTPS (HyperText Transfer Protocol Secure). Grâce à cela le transit de données entre le client et le serveur est crypté par le biais du protocole TLS.  </p>
<figure id="fig69" style="width: 15%">
<img alt="Logo Apache2" src=".././img/apache.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 69]:</span><b>Logo Apache2</b> </figcaption>
</figure>
<h2 id="mariadb">MariaDB</h2>
<p>Pour la gestion des différents utilisateurs, il m'est nécessaire d'avoir une base de données. Contrairement a un serveur Mysql, MariDB me permet d'encrypter la table contenant les utilisateurs bien plus facilement.</p>
<figure id="fig70" style="width: 30%">
<img alt="Logo MariaDB" src=".././img/logoMariaDB.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 70]:</span><b>Logo MariaDB</b> </figcaption>
</figure>
<h2 id="hardhat">Hardhat</h2>
<p>Pour faciliter le développement, tout en restant au plus proche de la réalité, j'ai décidé d'utiliser un serveur Hardhat. Celui-ci me permet de faire tourner ma propre blockchain tout en ayant la possibilité de copier une existante. Un serveur Hardhat par défaut lance un noyau Ethereum vierge.</p>
<figure id="fig71" style="width: 15%">
<img alt="Logo Hardhat" src=".././img/logoHardhat.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 71]:</span><b>Logo Hardhat</b> </figcaption>
</figure>
<h2 id="samba">Samba</h2>
<p>Pour faciliter le développement, j'ai installé Samba sur le Raspberry pour avoir un accès sur les fichiers de celui-ci depuis ma machine (Windows 10). Bien évidemment, ce service sera désactivé à la fin du développement pour éviter des soucis de sécurité.</p>
<figure id="fig72" style="width: 30%">
<img alt="Logo Samba" src=".././img/logoSamba.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 72]:</span><b>Logo Samba</b> </figcaption>
</figure>
<h2 id="vnc">VNC</h2>
<p>Afin d'éviter d'avoir à connecter le Raspberry à un écran ainsi qu'une souris et un clavier j'ai activé un accès distant VNC qui me permet de le contrôler à distance depuis ma machine. Ce service sera également désactivé quand il sera plus nécessaire.</p>
<figure id="fig73" style="width: 20%">
<img alt="Logo VNC" src=".././img/logoVNC.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 73]:</span><b>Logo VNC</b> </figcaption>
</figure>
<h2 id="wsl-2">WSL 2</h2>
<p>Windows Subsystem for Linux (WSL) permet l'exécution d'exécutable Linux sur Windows 10. Cette version a apporté des changements majeurs, notamment la présence d'un noyau Linux. WSL 2 m'a notamment permis de générer cette documentation à l'aide de <a href="https://discordapp.com/channels/@me/543891120275325007/984515500694462476">mkdocs</a>.</p>
<figure id="fig74" style="width: 25%">
<img alt="Logo WSL 2" src=".././img/WSL2.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 74]:</span><b>Logo WSL 2</b> </figcaption>
</figure>
<h2 id="gitlab">GitLab</h2>
<p>GitLab est un logiciel libre basé sur git qui me permet d'assurer un backup de mon projet, mais également de pouvoir revenir a une version stable si une modification apporter a mon projet le rend instable. </p>
<figure id="fig75" style="width: 25%">
<img alt="Logo GitLab" src=".././img/logoGitLab.svg" width="100%"/>
<figcaption>
<span class="fig">[Fig 75]:</span><b>Logo GitLab</b> </figcaption>
</figure>
<h2 id="visual-studio-2022">Visual Studio 2022</h2>
<p>Pour le développement de l'application C# j'ai utilisé l'IDE Visual Studio 2022.</p>
<figure id="fig76" style="width: 20%">
<img alt="Logo Visual Studio 2022" src=".././img/logoVisualStudio2022.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 76]:</span><b>Logo Visual Studio 2022</b> </figcaption>
</figure>
<h2 id="visual-studio-code">Visual Studio Code</h2>
<p>Pour le développement Web (HTML / PHP), j'ai utilisé l'IDE Visual Studio Code.</p>
<figure id="fig77" style="width: 15%">
<img alt="Logo Visual Studio Code" src=".././img/logoVisualStudioCode.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 77]:</span><b>Logo Visual Studio Code</b> </figcaption>
</figure>
<h2 id="mysql-workbench-80">MySQL Workbench 8.0</h2>
<p>MySQL Workbench est un logiciel qui offre la possibilité de gérer et d'administrer une base de données.</p>
<figure id="fig78" style="width: 15%">
<img alt="Logo MySQL Workbench" src=".././img/workbench.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 78]:</span><b>Logo MySQL Workbench</b> </figcaption>
</figure>
<h2 id="wireshark">Wireshark</h2>
<p>Wireshark est un logiciel qui permet d'analyser les paquets qui circulent sur une interface réseau.</p>
<figure id="fig79" style="width: 30%">
<img alt="Logo Wireshark" src=".././img/wireshark.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 79]:</span><b>Logo Wireshark</b> </figcaption>
</figure>
<h2 id="markdown">Markdown</h2>
<p>Markdown permet de rédiger des fichiers en utilisant un moyen codé (balisage) pour la mise en forme créés en le compilant dans MkDocs.</p>
<figure id="fig80" style="width: 20%">
<img alt="Logo Markdown" src=".././img/markdown.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 80]:</span><b>Logo Markdown</b> </figcaption>
</figure>
<h2 id="nethereum">Nethereum</h2>
<p>Nethereum est une librairie .Net pour Ethereum, simplifiant la gestion des contrats intelligents et l'interaction avec les nœuds Ethereum, qu'ils soient publics ou privés.</p>
<figure id="fig81" style="width: 20%">
<img alt="Logo Nethereum" src=".././img/logoNethereum.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 81]:</span><b>Logo Nethereum</b> </figcaption>
</figure>
<h2 id="metroset_ui">MetroSet_UI</h2>
<p>J'ai utilisé cette librairie .Net pour appliquer un thème aux différentes vues de mon application C#.</p>
<h2 id="dochnegoogle-authenticator">dochne/google-authenticator</h2>
<p>Cette libraire me permet d'implémenter le service Google Authenticator au sein de mon API PHP.</p>
<h2 id="emarrefjwt">emarref/jwt</h2>
<p>Cette librairie me permet de créer et vérifier des jetons Json Web Token.</p>
<h2 id="api-cryptocompare">Api CryptoCompare</h2>
<p>Cette API me permet d'extraire un historique de la valeur de l'ethereum contre une devise monétaire. À la base le site <a href="https://www.cryptocompare.com/">CryptoCompare</a> permet la visualisation de l'évolution du cours de plusieurs milliers de cryptomonnaies différentes.</p>
<figure id="fig82" style="width: 15%">
<img alt="Logo CryptoCompare" src=".././img/logoCryptoCompare.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 82]:</span><b>Logo CryptoCompare</b> </figcaption>
</figure>
</article>
</div>
</div>
</main>
<footer class="md-footer">
<nav aria-label="Footer" class="md-footer__inner md-grid">
<a aria-label="Previous: Architecture" class="md-footer__link md-footer__link--prev" href="../7_Architecture/" rel="prev">
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</div>
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Previous
              </span>
              Architecture
            </div>
</div>
</a>
<a aria-label="Next: Installation de l'environnement" class="md-footer__link md-footer__link--next" href="../9_installationEnvironnement/" rel="next">
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Next
              </span>
              Installation de l'environnement
            </div>
</div>
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M4 11v2h12l-5.5 5.5 1.42 1.42L19.84 12l-7.92-7.92L10.5 5.5 16 11H4z"></path></svg>
</div>
</a>
</nav>
<div class="md-footer-meta md-typeset">
<div class="md-footer-meta__inner md-grid">
<div class="md-footer-copyright">
        
        
          Made with
          <a href="https://squidfunk.github.io/mkdocs-material/" rel="noopener" target="_blank">
            Material for MkDocs
          </a>
 ... <a class="link--pdf-download" download href="../pdf/document.pdf" title="PDF">download PDF</a></div>
</div>
</div>
</footer>
</div>
<div class="md-dialog" data-md-component="dialog">
<div class="md-dialog__inner md-typeset"></div>
</div>
<script id="__config" type="application/json">{"base": "..", "features": [], "translations": {"clipboard.copy": "Copy to clipboard", "clipboard.copied": "Copied to clipboard", "search.config.lang": "en", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "Search", "search.result.placeholder": "Type to start searching", "search.result.none": "No matching documents", "search.result.one": "1 matching document", "search.result.other": "# matching documents", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.term.missing": "Missing", "select.version.title": "Select version"}, "search": "../assets/javascripts/workers/search.fcfe8b6d.min.js", "version": null}</script>
<script src="../assets/javascripts/bundle.b1047164.min.js"></script>
<script src="https://unpkg.com/mermaid@8.5.1/dist/mermaid.min.js"></script>
</body>
</html>